Package ru.bitel.bgbilling.modules.inet.common.service

# Interface InetSessionService

@MTOM(enabled=true) public interface InetSessionService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `connectionClose(int contractId, long connectionId)`
  Принудительное закрытие соединения
  `void`
  `connectionClose(long connectionId)`
  Принудительное закрытие соединения
  `Pair<InetServ,InetConnection>`
  `connectionFind(Set<Integer> servIds, String acctSessionId, String address, String login, String callingStationId)`
  Поиск сервиса [0] и соединения [1] по указанным параметрам
  `void`
  `connectionFinish(int contractId, long connectionId)`
  Принудительное завершение соединения.
  `void`
  `connectionFinish(long connectionId)`
  Принудительное завершение соединения.
  `void`
  `connectionRebind(long connectionId, int newContractId, int newServId, short newState, Set<Integer> newOptionIds)`
  Перенос соединения на другой договор.
  `void`
  `connectionsStop(int deviceId, long timeoutMinutes)`
  Закрытие всех соединений устройства, время активности которых lastActiveTime меньше чем now-timeoutMinutes.
  `List<TrafficAmount>`
  `inetContractTraffic(int contractId, Set<Integer> servIds, Period period, Set<Integer> requestTrafsIds, int unit, boolean byDay)`
  Информация по трафику договора исторических сессий (для графика трафика на договоре) byDay=true по дням месяца, иначе по часам дня (в периоде был указан 1 день) unit - размерность (например 1024, 1073741824), не используется?
  `TrafficAccountDetail`
  `inetSessionAccountSums(int contractId, Collection<Integer> inetServIds, Period period, Collection<Integer> serviceIds, boolean isActive)`
  `Result<InetSessionLog>`
  `inetSessionAliveContractList(int contractId, Set<Integer> servIds, Date dateFrom, Date dateTo, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, Page page)`
  Получение списка активных сессий для договора
  `Result<InetSessionLog>`
  `inetSessionAliveList(Set<Integer> deviceIds, Set<Integer> contractIds, String contract, String login, String ip, String callingStation, Date timeFrom, Date timeTo, Page page)`
  Получение списка активных сессий
  `void`
  `inetSessionDetail(long id, Date sessionStart, String email)`
  `void`
  `inetSessionExport(int contractId, Set<Integer> servIds, Date dateFrom, Date dateTo, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, Page page, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> data, boolean alive, String format)`
  Deprecated.
  Use
  invalid reference

      #inetSessionExport(int,Set<Integer>,Date,Date,Set<Integer>,Set<Integer>,Page,Holder<DataHandler>,boolean,String,String)

  instead
  `void`
  `inetSessionExport(int contractId, Set<Integer> servIds, Date dateFrom, Date dateTo, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, Page page, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> data, boolean alive, String format, String orderBy, long unit)`
  Экспорт списка сессий в клиенте/вебе в html/csv.
  `void`
  `inetSessionExportSendToEmail(int contractId, Set<Integer> servIds, Period period, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, boolean alive, String format, String orderBy, long unit, List<String> emails)`
  `Result<InetSessionLog>`
  `inetSessionLogContractList(int contractId, Set<Integer> servIds, Date dateFrom, Date dateTo, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, Page page)`
  Получение списка завершенных сессий для договора
  `void`
  `inetSessionLogContractListExport(int contractId, Set<Integer> servIds, Date dateFrom, Date dateTo, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> data)`
  `Result<InetSessionLog>`
  `inetSessionLogList(Set<Integer> deviceIds, Set<Integer> contractIds, String contract, String login, String ip, String callingStation, Date timeFrom, Date timeTo, Page page)`
  Получение списка завершенных сессий
  `void`
  `inetSessionPeriodDetail(int inetServId, Date dateFrom, Date dateTo, String email)`
  отправка на почту или сохранение в аккаутинге детализации по сервису
  `List<TrafficAmount>`
  `inetSessionTraffic(int contractId, Set<Integer> inetServIds, int sessionId, Set<Integer> trafficTypeIds, Period period, long unit, boolean byDay, boolean continuous)`
  `List<TrafficMaxDetailReport>`
  `inetSessionTrafficMax(int contractId, Set<Integer> inetServIds, Date dateFrom, Date dateTo, long unit)`
  `List<TrafficRangeDetailReport>`
  `inetSessionTrafficRange(int contractId, int tariffOptionId, Date dateFrom, Date dateTo, long unit)`

- ## Method Details

  - ### inetSessionLogList

    Result<InetSessionLog> inetSessionLogList(Set<Integer> deviceIds, Set<Integer> contractIds, String contract, String login, String ip, String callingStation, Date timeFrom, Date timeTo, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка завершенных сессий
    Parameters:
      `deviceIds` -
      `contractIds` -
      `contract` -
      `login` -
      `ip` -
      `callingStation` -
      `timeFrom` -
      `timeTo` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### inetSessionAliveList

    Result<InetSessionLog> inetSessionAliveList(Set<Integer> deviceIds, Set<Integer> contractIds, String contract, String login, String ip, String callingStation, Date timeFrom, Date timeTo, Page page) throws Exception
    Получение списка активных сессий
    Parameters:
      `deviceIds` -
      `contractIds` -
      `contract` -
      `login` -
      `ip` -
      `callingStation` -
      `timeFrom` -
      `timeTo` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### inetSessionAliveContractList

    Result<InetSessionLog> inetSessionAliveContractList(int contractId, Set<Integer> servIds, Date dateFrom, Date dateTo, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, Page page) throws Exception
    Получение списка активных сессий для договора
    Parameters:
      `contractId` -
      `servIds` -
      `trafficTypeIds` -
      `serviceIds` -
      `page` -
      `timeFrom` -
      `timeTo` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### inetSessionLogContractList

    Result<InetSessionLog> inetSessionLogContractList(int contractId, Set<Integer> servIds, Date dateFrom, Date dateTo, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка завершенных сессий для договора
    Parameters:
      `contractId` -
      `servIds` -
      `dateFrom` -
      `dateTo` -
      `trafficTypeIds` -
      `serviceIds` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### connectionFinish

    @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.ConnectionFinishOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.ConnectionFinishOldResponse") void connectionFinish(long connectionId) throws Exception
    Принудительное завершение соединения.
    Parameters:
      `connectionId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### connectionFinish

    void connectionFinish(int contractId, long connectionId) throws Exception
    Принудительное завершение соединения.
    Parameters:
      `connectionId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### connectionClose

    @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.ConnectionCloseOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.ConnectionCloseOldResponse") void connectionClose(long connectionId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Принудительное закрытие соединения
    Parameters:
      `connectionId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### connectionClose

    void connectionClose(int contractId, long connectionId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Принудительное закрытие соединения
    Parameters:
      `connectionId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### inetSessionLogContractListExport

    void inetSessionLogContractListExport(int contractId, Set<Integer> servIds, Date dateFrom, Date dateTo, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> data) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### inetSessionExport

    @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.InetSessionExportOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.common.service.jaxws.InetSessionExportOldResponse") @Deprecated void inetSessionExport(int contractId, Set<Integer> servIds, Date dateFrom, Date dateTo, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, Page page, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> data, boolean alive, String format) throws Exception
    Deprecated.
    Use
    invalid reference

        #inetSessionExport(int,Set<Integer>,Date,Date,Set<Integer>,Set<Integer>,Page,Holder<DataHandler>,boolean,String,String)

    instead
    Throws:
      `Exception`

  - ### inetSessionExport

    void inetSessionExport(int contractId, Set<Integer> servIds, Date dateFrom, Date dateTo, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, Page page, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> data, boolean alive, String format, String orderBy, long unit) throws Exception
    Экспорт списка сессий в клиенте/вебе в html/csv.
    Parameters:
      `contractId` - код договора, по которому идет выгрузка.
      `servIds` - набор уникальных кодов сервисов, сессии которых будут выгружаться.
      `dateFrom` - выгружаются сессии, начиная с dateFrom.
      `dateTo` - выгружаются сессии, не позднее dateTo.
      `trafficTypeIds` - список типов трафика.
      `serviceIds` - список услуг.
      `page` - параметры страницы: кол-во записей на листе и номер листа.
      `data` - "содержимое" выгружаемого файла.
      `alive` - true- выгружать активные сессии, false - выгружать завершенные сессии.
      `format` - формат выгрузки: csv или html.
      `orderBy` - порядок сортировки списка сервисов договора.
    Throws:
      `Exception`

  - ### inetSessionExportSendToEmail

    void inetSessionExportSendToEmail(int contractId, Set<Integer> servIds, Period period, Set<Integer> trafficTypeIds, Set<Integer> serviceIds, boolean alive, String format, String orderBy, long unit, List<String> emails) throws Exception
    Throws:
      `Exception`

  - ### inetSessionDetail

    void inetSessionDetail(long id, Date sessionStart, String email) throws Exception
    Throws:
      `Exception`

  - ### inetSessionPeriodDetail

    void inetSessionPeriodDetail(int inetServId, Date dateFrom, Date dateTo, String email) throws Exception
    отправка на почту или сохранение в аккаутинге детализации по сервису
    Throws:
      `Exception`

  - ### inetSessionTraffic

    List<TrafficAmount> inetSessionTraffic(int contractId, Set<Integer> inetServIds, int sessionId, Set<Integer> trafficTypeIds, Period period, long unit, boolean byDay, boolean continuous) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### inetSessionTrafficMax

    List<TrafficMaxDetailReport> inetSessionTrafficMax(int contractId, Set<Integer> inetServIds, Date dateFrom, Date dateTo, long unit) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### inetContractTraffic

    List<TrafficAmount> inetContractTraffic(int contractId, Set<Integer> servIds, Period period, Set<Integer> requestTrafsIds, int unit, boolean byDay) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Информация по трафику договора исторических сессий (для графика трафика на договоре) byDay=true по дням месяца, иначе по часам дня (в периоде был указан 1 день) unit - размерность (например 1024, 1073741824), не используется?
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### inetSessionAccountSums

    TrafficAccountDetail inetSessionAccountSums(int contractId, Collection<Integer> inetServIds, Period period, Collection<Integer> serviceIds, boolean isActive) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### inetSessionTrafficRange

    List<TrafficRangeDetailReport> inetSessionTrafficRange(int contractId, int tariffOptionId, Date dateFrom, Date dateTo, long unit) throws Exception
    Throws:
      `Exception`

  - ### connectionFind

    Pair<InetServ,InetConnection> connectionFind(Set<Integer> servIds, String acctSessionId, String address, String login, String callingStationId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Поиск сервиса [0] и соединения [1] по указанным параметрам
    Parameters:
      `acctSessionId` - идентификатор соединения (Acct-Session-Id) или null
      `address` - IP-адрес
      `login` -
      `servId` - ID сервиса или 0
    Returns:
      массив [ inetServ, inetConnection ] или null, если соединение не найдено
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`
      `UnknownHostException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### connectionRebind

    void connectionRebind(long connectionId, int newContractId, int newServId, short newState, Set<Integer> newOptionIds) throws Exception
    Перенос соединения на другой договор. Например, с фиктивного договора неавторизованных сессий на договор абонента.
    Parameters:
      `connectionId` - текущее ID соединения
      `newContractId` - ID нового договора
      `newServId` - ID нового сервиса договора
      `newState` - текущее состояние новой сессии
      `newOptionIds` - текущий набор опций новой сессии
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### connectionsStop

    void connectionsStop(int deviceId, long timeoutMinutes) throws Exception
    Закрытие всех соединений устройства, время активности которых lastActiveTime меньше чем now-timeoutMinutes.
    Parameters:
      `deviceId` -
      `timeoutMinutes` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`